Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class FuncDocument

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.functions.Function
                  |
                  +--org.apache.xpath.functions.FunctionOneArg
                        |
                        +--org.apache.xpath.functions.Function2Args
                              |
                              +--org.apache.xalan.templates.FuncDocument

public class FuncDocument
extends Function2Args

**For advanced use only** Execute the Doc() function. When the document function has exactly one argument and the argument is a node-set, then the result is the union, for each node in the argument node-set, of the result of calling the document function with the first argument being the string-value of the node, and the second argument being a node-set with the node as its only member. When the document function has two arguments and the first argument is a node-set, then the result is the union, for each node in the argument node-set, of the result of calling the document function with the first argument being the string-value of the node, and with the second argument being the second argument passed to the document function.

Constructor Summary
`FuncDocument()` **For advanced use only**

Method Summary
`void` | `checkNumberArgs(int argNum)` **For advanced use only**
`void` | `error(XPathContext xctxt, int msg, java.lang.Object[] args)` **For advanced use only** Tell the user of an error, and probably throw an exception.
`XObject` | `execute(XPathContext xctxt)` **For advanced use only** Execute the function.
`void` | `warn(XPathContext xctxt, int msg, java.lang.Object[] args)` **For advanced use only** Warn the user of a problem.

Methods inherited from class org.apache.xpath.functions.Function2Args
`getArg1, setArg`

Methods inherited from class org.apache.xpath.functions.FunctionOneArg
`getArg0`

Methods inherited from class org.apache.xpath.Expression
`assert`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FuncDocument

    public FuncDocument()

Method Detail

### execute

    public XObject execute(XPathContext xctxt)
                    throws SAXException

  **For advanced use only** Execute the function. The function must return a valid object.
  Parameters:
    `xctxt` - The current execution context.
  Returns:
    A valid XObject.
  Overrides:
    execute in class Function

### error

    public void error(XPathContext xctxt,
                      int msg,
                      java.lang.Object[] args)
               throws SAXException

  **For advanced use only** Tell the user of an error, and probably throw an exception.
  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.
  Overrides:
    error in class Expression

### warn

    public void warn(XPathContext xctxt,
                     int msg,
                     java.lang.Object[] args)
              throws SAXException

  **For advanced use only** Warn the user of a problem.
  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.
  Overrides:
    warn in class Expression

### checkNumberArgs

    public void checkNumberArgs(int argNum)
                         throws WrongNumberArgsException

  Overrides:
    checkNumberArgs in class Function2Args

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.